<?php

namespace BAG\Laravel\Console;

use Symfony\Component\Console\Attribute\AsCommand;

#[AsCommand(name: 'bag:install')]
class Install extends ProxyCommand
{
    /**
     * @var string
     */
    protected $signature = 'bag:install';

    /**
     * @var string
     */
    protected $description = 'Installer les packages requis';

    /**
     * @return int|null
     */
    public function handle()
    {
        if (env('LARAVEL_SAIL')) {
            $this->error("🐳 Pour installer les packages, exécuter 'php artisan bag:install' en dehors de Sail.");
            return 0;
        }

        $this->syncPackages();
    }

    protected function proxyHandle()
    {
        //ignored
    }
}
